# Uses of Class
java.awt.event.TextEvent

Packages that use TextEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.

## Uses of TextEvent in java.awt

Methods in java.awt with parameters of type TextEvent
Modifier and Type
Method
Description
`protected void`
TextComponent.`processTextEvent(TextEvent e)`
Processes text events occurring on this text component by dispatching them to any registered `TextListener` objects.
`void`
AWTEventMulticaster.`textValueChanged(TextEvent e)`
`void`
TextComponent.AccessibleAWTTextComponent.`textValueChanged(TextEvent textEvent)`
TextListener notification of a text value change.

## Uses of TextEvent in java.awt.event

Methods in java.awt.event with parameters of type TextEvent
Modifier and Type
Method
Description
`void`
TextListener.`textValueChanged(TextEvent e)`
Invoked when the value of the text has changed.